#include "../include/Sim2OS.h"

namespace environment {
namespace sim2os {

    /*
     * Test if all arguments is here
     * (don't test the coherencies of this)
     */
    bool Sim2OS::have_all_arguments (uint32_t nb_val)
    {
      //   while ((nb_val > 0) &&
      // 	 (arguments.find(nb_val) != arguments.end()))
      //     nb_val --;
      
      uint32_t val = nb_val;
      while (nb_val > 0)
	if (arguments.find(nb_val) != arguments.end())
	  nb_val --;
	else
	  {
	    std::cerr << "argument[" << nb_val << "] on " << val << ", is not find." << std::endl;
	    break;
	  }

      return (nb_val == 0);
    };

};
};
